package com.sundot.airport.exam.common.model.params;

import javax.validation.constraints.NotNull;

/**
 * <b>功能名：GetExamRecordParam</b><br>
 * <b>说明：</b> 查询用户测试记录详情参数类 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-06 Mokou
 */
public class GetExamRecordParam {
    /**
     * 客户端类型
     */
    @NotNull(message = "客户端类型不可为空")
    private String clientType;

    /**
     * 测试记录ID
     */
    @NotNull(message = "ID不可为空")
    private String erId;

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getErId() {
        return erId;
    }

    public void setErId(String erId) {
        this.erId = erId;
    }

    @Override
    public String toString() {
        return "GetExamRecordParam{" +
                "clientType='" + clientType + '\'' +
                ", erId='" + erId + '\'' +
                '}';
    }
}
